# module Puppet::Resource::Validator

### Public Instance Methods

validate_key(request) click to toggle source

    # File lib/puppet/indirector/resource/validator.rb, line 2
    def validate_key(request)
      type, title = request.key.split('/', 2)
      unless type.downcase == request.instance.type.downcase and title == request.instance.title
        raise Puppet::Indirector::ValidationError, "Resource instance does not match request key"
      end
    end